mw_srvc_place.h File Reference
`#include <glib.h>`
`#include "mw_common.h"`

Go to the source code of this file.

## Data Structures

struct | mwPlaceHandler

## Macros

#define | mwService_PLACE 0x80000022
| Type identifier for the place service.

## Enumerations

enum | mwPlacePeerAttribute { mwPlacePeer_TYPING = 0x00000008 }

## Functions

int | mwPlace_destroy (struct mwPlace *place, guint32 code)
gpointer | mwPlace_getClientData (struct mwPlace *place)
GList * | mwPlace_getMembers (struct mwPlace *place)
| returns a GList* of struct mwIdBlock*.
const char * | mwPlace_getName (struct mwPlace *place)
struct mwServicePlace * | mwPlace_getService (struct mwPlace *place)
const char * | mwPlace_getTitle (struct mwPlace *place)
int | mwPlace_legacyInvite (struct mwPlace *place, struct mwIdBlock *idb, const char *message)
| send a legacy invitation for this place to a user.
struct mwPlace * | mwPlace_new (struct mwServicePlace *srvc, const char *name, const char *title)
int | mwPlace_open (struct mwPlace *place)
void | mwPlace_removeClientData (struct mwPlace *place)
int | mwPlace_sendText (struct mwPlace *place, const char *msg)
int | mwPlace_setAttribute (struct mwPlace *place, guint32 attrib, struct mwOpaque *data)
void | mwPlace_setClientData (struct mwPlace *place, gpointer data, GDestroyNotify clean)
int | mwPlace_unsetAttribute (struct mwPlace *place, guint32 attrib)
struct mwPlaceHandler * | mwServicePlace_getHandler (struct mwServicePlace *srvc)
const GList * | mwServicePlace_getPlaces (struct mwServicePlace *srvc)
struct mwServicePlace * | mwServicePlace_new (struct mwSession *session, struct mwPlaceHandler *handler)

## Macro Definition Documentation

## mwService_PLACE

#define mwService_PLACE 0x80000022

Type identifier for the place service.

## Enumeration Type Documentation

## mwPlacePeerAttribute

enum mwPlacePeerAttribute

Enumerator
mwPlacePeer_TYPING |

## Function Documentation

## mwPlace_destroy()

int mwPlace_destroy | ( | struct mwPlace * | place,
|  | guint32 | code )

## mwPlace_getClientData()

gpointer mwPlace_getClientData | ( | struct mwPlace * | place | ) |

## mwPlace_getMembers()

GList * mwPlace_getMembers | ( | struct mwPlace * | place | ) |

returns a GList* of struct mwIdBlock*.

The GList will need to be freed after use, the mwIdBlock structures should not be modified or freed

## mwPlace_getName()

const char * mwPlace_getName | ( | struct mwPlace * | place | ) |

## mwPlace_getService()

struct mwServicePlace * mwPlace_getService | ( | struct mwPlace * | place | ) |

## mwPlace_getTitle()

const char * mwPlace_getTitle | ( | struct mwPlace * | place | ) |

## mwPlace_legacyInvite()

int mwPlace_legacyInvite | ( | struct mwPlace * | place,
|  | struct mwIdBlock * | idb,
|  | const char * | message )

send a legacy invitation for this place to a user.

The user will receive an apparent invitation from a Conference (rather than a Place)

## mwPlace_new()

struct mwPlace * mwPlace_new | ( | struct mwServicePlace * | srvc,
|  | const char * | name,
|  | const char * | title )

## mwPlace_open()

int mwPlace_open | ( | struct mwPlace * | place | ) |

## mwPlace_removeClientData()

void mwPlace_removeClientData | ( | struct mwPlace * | place | ) |

## mwPlace_sendText()

int mwPlace_sendText | ( | struct mwPlace * | place,
|  | const char * | msg )

## mwPlace_setAttribute()

int mwPlace_setAttribute | ( | struct mwPlace * | place,
|  | guint32 | attrib,
|  | struct mwOpaque * | data )

## mwPlace_setClientData()

void mwPlace_setClientData | ( | struct mwPlace * | place,
|  | gpointer | data,
|  | GDestroyNotify | clean )

## mwPlace_unsetAttribute()

int mwPlace_unsetAttribute | ( | struct mwPlace * | place,
|  | guint32 | attrib )

## mwServicePlace_getHandler()

struct mwPlaceHandler * mwServicePlace_getHandler | ( | struct mwServicePlace * | srvc | ) |

## mwServicePlace_getPlaces()

const GList * mwServicePlace_getPlaces | ( | struct mwServicePlace * | srvc | ) |

## mwServicePlace_new()

struct mwServicePlace * mwServicePlace_new | ( | struct mwSession * | session,
|  | struct mwPlaceHandler * | handler )